﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    int startID = 1;
    protected void Page_Load(object sender, EventArgs e)
    {
       

        dgrIndRoleAttributes.ClearDataSource();
        dgrIndRoleAttributes.Rows.Clear();

        if (this.ViewState["startID"] != null)
            startID = (int)this.ViewState["startID"] + 10;
        this.ViewState["startID"] = startID;

        dgrIndRoleAttributes.DataSource = GetData();
        dgrIndRoleAttributes.DataBind();

    }
    //private void LoadIndRoleAttributes()
    //{
    //    if (Session[Constants.Session.IndRoleId.ToString()] == null)
    //        return;

    //    long indRoleId = Convert.ToInt64(Session[Constants.Session.IndRoleId.ToString()]);

    //    if (Session[TMP] == null)
    //    {
    //        FastApplication.CallFacade<IIndRole>(
    //            facade => { Session[TMP] = facade.GetIndRoleAttributes(r => r.INDROLE_ID == indRoleId); });
    //    }

    //    dgrIndRoleAttributes.ClearDataSource();
    //    dgrIndRoleAttributes.Rows.Clear();
    //    dgrIndRoleAttributes.DataSource = (Session[TMP] as List<INDROLE_ATTRIBUTE>);
    //    dgrIndRoleAttributes.DataBind();
    //}
    
    public DataTable GetData()
    {
        DataTable table = new DataTable();
        DataColumn c = new DataColumn("ID", typeof(int));
        table.Columns.Add(new DataColumn("ID", typeof(int)));        
        table.Columns.Add(new DataColumn("Date", typeof(DateTime)));
        table.Columns.Add(new DataColumn("Time", typeof(DateTime)));
        table.Columns.Add(new DataColumn("Notes", typeof(string)));

        DateTime today = DateTime.Today;
        DateTime now = DateTime.Now;
        for (int i = startID; i < startID + 25; i++)
        {
            DataRow row = table.NewRow();
            row.ItemArray = new object[] { i, today.AddDays(i), now.AddHours(i), "long notes about something great. More notes. Note #" + i };
            table.Rows.Add(row);
        }

        return table;
    }
    protected void btnVisible_Click(object sender, EventArgs e)
    {
        this.dgrIndRoleAttributes.Visible = !this.dgrIndRoleAttributes.Visible;
    }
}